package de.duehl.basics.text.html.data;

public class RegExpMatch {

    private final int start;
    private final int end;
    private final String matchedPart;

    public RegExpMatch(int start, int end, String matchedPart) {
        this.start = start;
        this.end = end;
        this.matchedPart = matchedPart;
    }

    public int getStart() {
        return start;
    }

    public int getEnd() {
        return end;
    }

    public String getMatchedPart() {
        return matchedPart;
    }

    @Override
    public String toString() {
        return "RegExpMatch [start=" + start + ", end=" + end + ", matchedPart=" + matchedPart
                + "]";
    }

}
